import { request } from '/@/utils/service'


export function getAdMixSelect() {
  return request({
      url: '/api/ad_manage/portfolios/select_list',
      method: 'GET',
  })
}

export function postCampaignsData(filteredRequestData) {
  return request({
      url: '/api/ad_manage/sbcampaigns/create/',
      method: 'post',
      data: filteredRequestData,
  })
}

export function postGroupData(filteredRequestData) {
  return request({
      url: '/api/ad_manage/sbgroups/create/',
      method: 'post',
      data: filteredRequestData,
  })
}

export function postNegativeWordData(filteredRequestData) {
  return request({
      url: '/api/ad_manage/sptargets/add/negative/keywords/',
      method: 'post',
      data: filteredRequestData,
  })
}

export function getAssets(query) {
  return request({
      url: '/api/ad_manage/sb/assets/',
      method: 'get',
      params: query
  })
}

export function getLifeStyleAssets(query) {
  return request({
      url: '/api/ad_manage/sb/assets/',
      method: 'get',
      params: query
  })
}

export function getBrands(query) {
  return request({
    url: '/api/ad_manage/sb/getbrands/',
      method: 'get',
      params: query
  })
}

export function getStoreurl(query) {
  return request({
    url: '/api/ad_manage/sb/storeurl/',
      method: 'get',
      params: query
  })
}

export function getPageAsins(query) {
  return request({
    url: '/api/ad_manage/sb/getpageasins/',
      method: 'get',
      params: query
  })
}
export function getCommodityCard(query) {
  return request({
    url: '/api/sellers/listings/all/',
      method: 'get',
      params: query
  })
}

export function getVideoAssets(query) {
  return request({
      url: '/api/ad_manage/sb/assets/',
      method: 'get',
      params: query
  })
}

export function videoDetailCreate(obj) {
  return request({
      url: '/api/ad_manage/sbads/video/create/',
      method: 'post',
      data: obj,
  })
}

export function uploadFile(obj) {
  return request({
      url: '/api/ad_manage/assets/upload/',
      method: 'post',
      data: obj,
      headers: {
        'Content-Type': 'multipart/form-data'
      }
  })
}

export function checkAsset(obj) {
  return request({
      url: '/api/ad_manage/assets/checkasset/',
      method: 'post',
      data: obj,
  })
}

export function getDefaultSpotlightAsin(query) {
  return request({
      url: '/api/ad_manage/sb/defaultspotlightasin/',
      method: 'get',
      params: query
  })
}

export function getSellerInStock(obj) {
  return request({
      url: '/api/sellers/listings/sellerinstock/',
      method: 'post',
      data: obj
  })
}
export function postStoreSpotlight(obj) {
  return request({
      url: '/api/ad_manage/sbads/storespotlight/create/',
      method: 'post',
      data: obj
  })
}
export function postBrandVideo(obj) {
  return request({
      url: '/api/ad_manage/sbads/brandvideo/create/',
      method: 'post',
      data: obj
  })
}
export function postVideo(obj) {
  return request({
      url: '/api/ad_manage/sbads/video/create/',
      method: 'post',
      data: obj
  })
}
export function postProductset(obj) {
  return request({
      url: '/api/ad_manage/sbads/productcollection/create/',
      method: 'post',
      data: obj
  })
}

